From 1c5fe1fb1cf4d2e38cf3b8edef1288cb63388cc4 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 8 May 2022 19:36:43 -0500
Subject: [PATCH] wip: check for interrupts during extended stats

It's possible to handle this partially by adding CFI at higher levels
(statext_dependencies_build and statext_ndistinct_build), but in order to
handle MCV, CFI has to be done at a low level here.
---
 src/backend/statistics/extended_stats.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/backend/statistics/extended_stats.c b/src/backend/statistics/extended_stats.c
index cb0a22b73e8..c6ba352e414 100644
--- a/src/backend/statistics/extended_stats.c
+++ b/src/backend/statistics/extended_stats.c
@@ -894,6 +894,8 @@ multi_sort_compare(const void *a, const void *b, void *arg)
 	SortItem   *ib = (SortItem *) b;
 	int			i;
 
+	CHECK_FOR_INTERRUPTS();
+
 	for (i = 0; i < mss->ndims; i++)
 	{
 		int			compare;
-- 
2.17.1

